CREATE TABLE hey_artifact_element_attr_b (
    ATTRIBUTE_ID                  NUMBER(18, 0) ,
    ELEMENT_ID                    NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_CODE                VARCHAR2(200)     NOT NULL,
    ATTRIBUTE_CODE_ALIAS          VARCHAR2(2000),
    ATTRIBUTE_DATA_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    TRANSLATABLE_FLAG             VARCHAR2(4)   ,
    ATTRIBUTE_LENGTH              NUMBER(18, 0) ,
    ATTRIBUTE_DECIMAL_PLACES      NUMBER(18, 0) ,
    REQUIRED_FLAG                 VARCHAR2(4)   ,
    UPDATABLE_FLAG                VARCHAR2(4)   ,
    QUERYABLE_FLAG                VARCHAR2(4)   ,
    ALLOW_CHANGES_TYPE_CODE       VARCHAR2(120) ,
    LOV_ARTIFACT_ID               NUMBER(18, 0) ,
    LOOKUP_TYPE_CODE              VARCHAR2(120) ,
    LOV_FINDER_NAME               VARCHAR2(2048),
    PARENT_ATTRIBUTE_ID1          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID2          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID3          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID4          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID5          NUMBER(18, 0) ,
    FINDER_ATTRIBUTE_NAME1        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME2        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME3        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME4        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME5        VARCHAR2(2048),
    DEFAULT_VALUE                 VARCHAR2(2048),
    PRIMARY_OBJECT_FLAG           VARCHAR2(4)   ,
    ATTRIBUTE_WEIGHT              NUMBER(5, 4)  ,
    MINIMUM_IN_RANGE              NUMBER(18, 0) ,
    MAXIMUM_IN_RANGE              NUMBER(18, 0) ,
    LOV_VALUE_FIELD               VARCHAR2(3600),
    LOV_DISPLAY_FIELDS            VARCHAR2(3600),
    LOV_SOURCE_RESOURCE_NAME      VARCHAR2(800) ,
    SOURCE_OBJECT_NAME            VARCHAR2(800)     NOT NULL,
    ATTRIBUTE_SEQUENCE            NUMBER(5, 0)  ,
    LOV_DISPLAY_FIELD_FLAG        VARCHAR2(4)       NOT NULL,
    LOV_VALUE_FIELD_FLAG          VARCHAR2(4)       NOT NULL,
    CASCD_LOV_VALUE_FIELD_FLAG    VARCHAR2(4)       NOT NULL,
    AVLBL_TO_QUERY_FILTER_FLAG    VARCHAR2(4)       NOT NULL,
    AVLBL_TO_QUERY_JOIN_FLAG      VARCHAR2(4)       NOT NULL,
    AVAILABLE_TO_RULES_UI_FLAG    VARCHAR2(4)       NOT NULL,
    DEFAULT_VALUE_JSON            CLOB          ,
    REST_QUERYABLE_FLAG           VARCHAR2(4)   ,
    SEED_DATA_LOCK                NUMBER(1, 0)      NOT NULL,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(600) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE16                   VARCHAR2(600) ,
    ATTRIBUTE17                   VARCHAR2(600) ,
    ATTRIBUTE18                   VARCHAR2(600) ,
    ATTRIBUTE19                   VARCHAR2(600) ,
    ATTRIBUTE20                   VARCHAR2(600) ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_DATE6               DATE          ,
    ATTRIBUTE_DATE7               DATE          ,
    ATTRIBUTE_DATE8               DATE          ,
    ATTRIBUTE_DATE9               DATE          ,
    ATTRIBUTE_DATE10              DATE          ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10         TIMESTAMP(6)  ,
    ALLOW_LOV_ALL_FLAG            VARCHAR2(4)   ,
    ALLOW_LOV_MULTIPLE_FLAG       VARCHAR2(4)   ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    ATTRIBUTE_ID                  NUMBER(18, 0) ,
    ELEMENT_ID                    NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_CODE                VARCHAR2(200)     NOT NULL,
    ATTRIBUTE_CODE_ALIAS          VARCHAR2(2000),
    ATTRIBUTE_DATA_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    TRANSLATABLE_FLAG             VARCHAR2(4)   ,
    ATTRIBUTE_LENGTH              NUMBER(18, 0) ,
    ATTRIBUTE_DECIMAL_PLACES      NUMBER(18, 0) ,
    REQUIRED_FLAG                 VARCHAR2(4)   ,
    UPDATABLE_FLAG                VARCHAR2(4)   ,
    QUERYABLE_FLAG                VARCHAR2(4)   ,
    ALLOW_CHANGES_TYPE_CODE       VARCHAR2(120) ,
    LOV_ARTIFACT_ID               NUMBER(18, 0) ,
    LOOKUP_TYPE_CODE              VARCHAR2(120) ,
    LOV_FINDER_NAME               VARCHAR2(2048),
    PARENT_ATTRIBUTE_ID1          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID2          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID3          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID4          NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_ID5          NUMBER(18, 0) ,
    FINDER_ATTRIBUTE_NAME1        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME2        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME3        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME4        VARCHAR2(2048),
    FINDER_ATTRIBUTE_NAME5        VARCHAR2(2048),
    DEFAULT_VALUE                 VARCHAR2(2048),
    PRIMARY_OBJECT_FLAG           VARCHAR2(4)   ,
    ATTRIBUTE_WEIGHT              NUMBER(5, 4)  ,
    MINIMUM_IN_RANGE              NUMBER(18, 0) ,
    MAXIMUM_IN_RANGE              NUMBER(18, 0) ,
    SEED_DATA_LOCK                NUMBER(1, 0)      NOT NULL,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(600) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE16                   VARCHAR2(600) ,
    ATTRIBUTE17                   VARCHAR2(600) ,
    ATTRIBUTE18                   VARCHAR2(600) ,
    ATTRIBUTE19                   VARCHAR2(600) ,
    ATTRIBUTE20                   VARCHAR2(600) ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_DATE6               DATE          ,
    ATTRIBUTE_DATE7               DATE          ,
    ATTRIBUTE_DATE8               DATE          ,
    ATTRIBUTE_DATE9               DATE          ,
    ATTRIBUTE_DATE10              DATE          ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10         TIMESTAMP(6)  ,
    LOV_VALUE_FIELD               VARCHAR2(3600),
    LOV_DISPLAY_FIELDS            VARCHAR2(3600),
    LOV_SOURCE_RESOURCE_NAME      VARCHAR2(800) ,
    SOURCE_OBJECT_NAME            VARCHAR2(800)     NOT NULL,
    ATTRIBUTE_SEQUENCE            NUMBER(5, 0)  ,
    LOV_DISPLAY_FIELD_FLAG        VARCHAR2(4)       NOT NULL,
    LOV_VALUE_FIELD_FLAG          VARCHAR2(4)       NOT NULL,
    CASCD_LOV_VALUE_FIELD_FLAG    VARCHAR2(4)       NOT NULL,
    AVLBL_TO_QUERY_FILTER_FLAG    VARCHAR2(4)       NOT NULL,
    AVLBL_TO_QUERY_JOIN_FLAG      VARCHAR2(4)       NOT NULL,
    AVAILABLE_TO_RULES_UI_FLAG    VARCHAR2(4)       NOT NULL,
    DEFAULT_VALUE_JSON            CLOB          ,
    REST_QUERYABLE_FLAG           VARCHAR2(4)   ,
    ALLOW_LOV_ALL_FLAG            VARCHAR2(4)   ,
    ALLOW_LOV_MULTIPLE_FLAG       VARCHAR2(4)   ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hey_artifact_element_attr_b PRIMARY KEY (ATTRIBUTE_ID, ATTRIBUTE_ID)
);
